Skip to main content
POST
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
workspaces
/
{workspaceId}
/
sessions
Create workspace session
curl --request POST \
  --url https://api.example.com/api/projects/v1/projects/{projectId}/workspaces/{workspaceId}/sessions \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "externalVolumeMounts": [],
  "netAppVolumeMounts": []
}
'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "workspaceSession": {
    "executionId": "<string>",
    "id": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID

workspaceId
string
required

Workspace ID

Body

application/json

New session parameters

externalVolumeMounts
string[]
required

External volume mount IDs

netAppVolumeMounts
string[]

NetApp ONTAP Volume IDs to mount

Response

Success

metadata
object
required
workspaceSession
object
required